package com.yxproject.start.service.impl;

import com.yxproject.start.entity.CardBodyEntity;
import com.yxproject.start.entity.GroupNoEntity;
import com.yxproject.start.mapper.CardBodyMapper;
import com.yxproject.start.mapper.GroupNoMapper;
import com.yxproject.start.mapper.UtilMapper;
import com.yxproject.start.service.CardBodyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.text.SimpleDateFormat;
import java.util.List;
import java.util.Map;

/**
 * Created by Administrator on 2018/11/7.
 */

@Service
public class CardBodyServiceImpl implements CardBodyService {
    @Autowired
    private CardBodyMapper cardBodyMapper;

    @Override
    public List<Map<String,Object>> getCbCount(){
        List<Map<String,Object>> list=cardBodyMapper.findCbCountByDealdateViewData();
        return list;
    }

    @Override
    public List<Map<String,Object>> getCbBodyCount(){

        List<Map<String,Object>> list=cardBodyMapper.findCbCountByDealdate();
        return list;
    }

//    @Override
//    public int updateCardBody(CardBodyEntity map) {
//        //todo  状态更新时间
//
//        return cardBodyMapper.updateCardBody(map);
//    }




    @Override
    public List<CardBodyEntity> insertCardBody(String cardBodyId) {
        List<CardBodyEntity> cardBody = cardBodyMapper.insertCardBody(cardBodyId);
        return cardBody;
    }
}
